1
19
submitted 2 days ago by [email protected] to c/[email protected]

I am trying to design a simple case for a laptop motherboard, and thought to get around the distortion happening with my pictures by taking a 3d scan of it with Kiri Engine.

Everything looks fine in the preview of it and everything, but when I import the OBJ into FreeCAD it is just grey and I can't distinguish the mounting holes from the rest of the board.

Thanks in advance

2
11
submitted 1 week ago by [email protected] to c/[email protected]

Hey, I've just finished my diploma of mech eng and them and my new workplace use largely solidworks. Solidworks might have the most annoying subscription service integration I've ever seen, but also I've clicked with its interface.

Any guides or tips for switching over?

3
18
submitted 1 week ago by [email protected] to c/[email protected]

Hi c/FreeCAD, totally newbie here! I'm having a ton of fun learning FreeCAD, but I have a small question. I know the toponaming problem is going away soon, and maybe that makes this kind of irrelevant, but I'd still like to know.

Sometimes when I'm watching or reading guides on avoiding the toponaming problem, the person will say something along the lines of: "actually this technique is also more professional/proper/correct anyway, real engineers do it this way." Basically that the methods that avoid the problem are also just best practices in general. But they always say that as kind of an aside, and I wish they'd say more! What makes those methods better? Does anyone have any suggestions for articles or videos about this?

For one example, there was one guide that suggested you should use a datum plane instead of referencing one of the object's surfaces. I understand the toponaming problem well enough to get why referencing a surface can cause it. However, the person in the guide used the same surface that would have been referenced, as the attachment point for the datum plane. Why does that not produce the same issue?

4
36
submitted 2 weeks ago by [email protected] to c/[email protected]

I got sent a bunch of lenses that are too small for the old frames I have. I thought it might be fun to try 3d printing my own frame arms out of ABS.

Modeling a lens is a bit challenging, or I'm just a bit rusty with freecad. I need a way to wrap/unwrap/flatten the curve to create the contours. For my purpose here I can get away with a rough lens shape that is simply mirrored and lacks some of the complex curves. It just bugs me when I can't model it properly...

The lens is not uniform thickness. The center is 1.8mm thick while the edges where the arms mount are 1.4mm. I want to try and make a nose piece because this is the one part that fails on these cheap glasses.

Anyways, sharing just because I can.

5
8
submitted 3 weeks ago by [email protected] to c/[email protected]

I wanted to try out the FreeCAD beta/nightly builds, and found on the website that you could get it from the flathub beta repo.

After installing though, it is just the same exact app? Did I do something wrong?

6
97
submitted 3 weeks ago by [email protected] to c/[email protected]

The contest from last month had established five finalists:

The first row is the new logo that will be used going forward and in version 1.0 of the program!

7
52
submitted 2 months ago by [email protected] to c/[email protected]

There have been 46 submissions to the new FreeCAD logo contest. The user poll is closing on May 1 (this Wednesday). You can still pick your top 5 entries. The 5 winning submissions will then be submitted to the maintainers team for the final voting.

8
16
submitted 3 months ago by [email protected] to c/[email protected]

In other cad programs i use two points of a sketch to extrude a feature. In freecad it does not seem to be possible. What are your recommended workarounds for that?

I would like to extrude the base not just from the face of the sketch, but from point 1 to point 2 on the side view sketch. This workflow proved very robust in other cad tools, but I cant get it work in freecad.

Thanks a lot in advance!

9
14
submitted 3 months ago by [email protected] to c/[email protected]

And I'm curious if I could map my keys to make Freecad work this way. I don't know how many of the these tools don't exist in Freecad, but if I could one to one make a keybind that works for me, I might start using it instead of sketchup 8

But mostly, this is the because general CAD community on lemmy and I wanted to share, ciao!

10
14
submitted 4 months ago* (last edited 4 months ago) by [email protected] to c/[email protected]

Hello,

so i just started to do some macro writing and had to get some help by ChatGPT because i am no programmer. But i made something useful for me.

import FreeCAD
import PartDesignGui
import Draft
import Part
import PartDesign
from FreeCAD import Base

doc_name = App.activeDocument().Label

sels = FreeCADGui.Selection.getSelectionEx('', 0)
facebinder1 = Draft.make_facebinder(sels[0])
facebinder2 = Draft.make_facebinder(sels[1])
Draft.autogroup(facebinder1)
Draft.autogroup(facebinder2)
FreeCAD.ActiveDocument.recompute()
App.getDocument(doc_name).addObject('Part::Loft','Loft')
App.getDocument(doc_name).ActiveObject.Sections=[App.getDocument(doc_name).Facebinder, App.getDocument(doc_name).Facebinder001, ]
App.getDocument(doc_name).ActiveObject.Solid=True
App.getDocument(doc_name).ActiveObject.Ruled=False
App.getDocument(doc_name).ActiveObject.Closed=False

I select two faces from two bodies and it will create two seperate facebinders and performs a loft with those two.

This allows me to make a loft in one fell swoop. However the facebinders created by the

Draft.make_facebinder(sels[X])

will always come out as Facerbinder and Facebinder001 and counting upwards. I don't see any way to change those names. Yes, i can do something with labels, but the following part of

App.getDocument(doc_name).ActiveObject.Sections=[App.getDocument(doc_name).Facebinder, App.getDocument(doc_name).Facebinder001, ]

doesn't seem to work with labels... As you can see Facebinder and Facebinder001 are hardcoded in there. Is there any way to either fully rename items so i could go for facebinder_temp1 and _temp2 and then rename them afterwards to make room for another _temp1 and _temp2 again or if i can somehow let the Loft function know what Facebinders were created prior?

Sorry if this is a little bit unstructured i am bashing my head right now... maybe you can help me out here.

Thanks!


EDIT:

Solution was:

# -*- coding: utf-8 -*-

# Macro Begin: /home/frank-garuda/.local/share/Ondsel/Macro/asfasdf.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++
import FreeCAD
import PartDesignGui
import Draft
import Part
import PartDesign

# Gui.runCommand('Std_DlgMacroRecord',0)
### Begin command Part_Loft
from FreeCAD import Base

# Get document name
doc_name = App.activeDocument().Label

# Gui.runCommand('Std_DlgMacroRecord',0)
### Begin command Std_Workbench
# Gui.activateWorkbench("DraftWorkbench")
### End command Std_Workbench
### Begin command Draft_Facebinder
sels = FreeCADGui.Selection.getSelectionEx('', 0)
facebinder1 = Draft.make_facebinder(sels[0])
facebinder1.Label = "Facebinder_Loft_1"
facebinder2 = Draft.make_facebinder(sels[1])
facebinder2.Label = "Facebinder_Loft_2"
Draft.autogroup(facebinder1)
Draft.autogroup(facebinder2)
FreeCAD.ActiveDocument.recompute()
App.getDocument(doc_name).addObject('Part::Loft','Loft')
App.getDocument(doc_name).ActiveObject.Sections=[facebinder1, facebinder2, ]
App.getDocument(doc_name).ActiveObject.Solid=True
App.getDocument(doc_name).ActiveObject.Ruled=False
App.getDocument(doc_name).ActiveObject.Closed=False
11
28
submitted 5 months ago* (last edited 5 months ago) by [email protected] to c/[email protected]

Hi! I started to fiddle around with freecad a little again tonight. I still find many things unintuitive. And I just watched a video about master sketches, because they are essential in my workflow on other programs. It makes it soo much easier to keep the overview and change little things quickly because I don't have to search for the responsible sketch.

In this video the person demonstrates at around 9:15 how to use the master sketch as a reference in the sub bodies. I can get used to only get one body from a sketch, but man, how many steps does it take to just reference a sketch?! You even need to use a differen workbech, use the clone tool, but not this one and then drag and drop the duplicate into the same body you are working on? Why?! I mean the sketch is right there, just let me click it!!

This got me wondering it those rough workflows are just designed badly or if this is a limitation of the engine or whstevery it's called, that freecad is based on? Because in my limited programming mind it does not make a difference what file is referenced. If it is some file on a directory above, just use something like "./" Before to go up one directory.

And I think those little things that just work in other cad software, makes freecad so much less approcavhabel and so much harder to jump in.

If I want to make a complicated part, that is not just a box with a hole, I don't want to Google around until I found a solution, I want the intuitive solution to work without 3 extra steps. This just hinders my design process a lot.

Maybe someone knows how freecad works on the background and can explain why freecad works like that.

Thanks!

12
11
submitted 5 months ago by [email protected] to c/[email protected]

I am working on making my own lithophane calling card in freecad, but i find it a Bit of a hassel that i cant just turn a whole textblock into a extrusion. Right now i make every single line with a seperate ShapeString but there has to be a better way.

How are you working with multiple lines of text in your models?

13
61
submitted 5 months ago by [email protected] to c/[email protected]

Hey there! I love the idea of freecad. But I have so many troubls learning it. I started with fusion360, used solidworks for some time, used inventor a bit and use onshape mostly now. So I think I know how to navigate and learn new cad software. But its not as easy with freecad sadly.

I Would love this product to be more accessable and easier to use and undertand. What can we do besides jumping in on developing ourselves?

Switching form fusion or onshape to freecad feels like switching from python to assamlby.

So how can we help to improve freecad and make it a more usable program? It seems as if the devs try to reinvent everything and every menue compared to all other cad programs i have used. I am totaly fine with some issues or bugs, but i feel like its not up for success currently.

Thanks a lot, I hope you have some ideas

14
15
FreeCAD Discord (discord.gg)
submitted 6 months ago by [email protected] to c/[email protected]

I pop in to this Lemmy community every once and a while hoping for new content or discussions, but there is not a ton of activity. I ended up finding the FreeCAD discord channel and it seems to have a ton of engagement/activity, so I wanted to share. (but still post here, I would love to see this community become more active).

Also, the users on the discord are super helpful...like, insanely helpful. I am still learning, so it has been priceless for me (along with MangoJelly on YouTube)

15
24
submitted 6 months ago* (last edited 6 months ago) by [email protected] to c/[email protected]

Has anyone encountered this issue when launching the software?

The only fix I've found so far is to uninstall and reinstall FreeCAD. Is there a better way to fix this? I wish the error message was more descriptive...

Edit: It seems that I can only launch FreeCAD by ticking the "Launch FreeCAD" checkbox in the initial installation wizard. All subsequent attempts to launch FreeCAD seem to fail. I can uninstall the software without removing my user preferences, so it's not terrible, but having to reinstall the software every time I want to close and reopen the software is a bit... undesirable.

Edit2: If it helps narrow things down, I'm on a Windows 10 machine.

16
21
submitted 7 months ago by [email protected] to c/[email protected]

cross-posted from: https://lemmy.ml/post/7885746

I created a lib for designing cabinets. I'm not a woodworker, but I can design some for myself and I found this lib useful enough to share. So enjoy.

17
17
submitted 8 months ago* (last edited 8 months ago) by [email protected] to c/[email protected]
18
12
submitted 8 months ago* (last edited 8 months ago) by [email protected] to c/[email protected]

Hi everyone,

I have some prior experience with Solidworks, but I wanted to try out a FOSS alternative. I've been messing around in FreeCAD for a couple hours and I have the following question:

How do I polar pattern a revolved surface?

I want to accomplish something similar to what is described in this video (12:14 to 13:44).

My ideal workflow is as follows:

  1. Create sketch (e.g. square)
  2. Pad sketch to create body (e.g. cube)
  3. Create new sketch (e.g. line)
  4. Revolve sketch to create surface (e.g. disc)
  5. Polar pattern the surface to create multiple (e.g. 4) discs
  6. Slice apart cube by 4 discs to yield 9 separate bodies

I'm stuck on step 5. Is this possible in FreeCAD? If not, are there any recommended workarounds to achieve the same result?

Thanks in advance!

19
3
submitted 11 months ago* (last edited 11 months ago) by [email protected] to c/[email protected]

Just doesn't live up to expectations. Entering an alias always feels like a double chore, even with the macro.

20
4
submitted 1 year ago* (last edited 1 year ago) by [email protected] to c/[email protected]

When I want to add a hole feature, I need to first sketch and constrain a circle where the hole is supposed to be. This would make a bit more sense if the hole actually followed the constraints of the circle, but it doesn't -- I could constrain the sketch of the circle to be one radius, and then, at the same time, specify that the hole be a completely different radius. I feel like it would make much more sense if the hole actually followed the dimensions of the sketch of the circle. If the sketch is just used for the placement of the hole, then it should be enough to simply place a point (which does not currently work -- I must sketch a circle).


Edit 1: It looks like there is an open issue for this on GitHub.

21
3
submitted 1 year ago by [email protected] to c/[email protected]

I have the following:

I want the center rectangle to be concentric with the outer rectangle (the separation of each edge should be equal). What's the best way to do this?

22
6
submitted 1 year ago by [email protected] to c/[email protected]

Hi there, i just stumbled across the whole fediverse thing with lemmy, because of the reddit incident. i heard of mastodon before but that's about it, but i love the idea of fediverse. i also love FreeCAD even if it can be tricky sometimes. are any of you guys still active here?

23
4
submitted 2 years ago by [email protected] to c/[email protected]

Instructions are in the this ticket: https://github.com/dracula/freecad/iss...

24
2
submitted 2 years ago by [email protected] to c/[email protected]
25
4
submitted 2 years ago by [email protected] to c/[email protected]
view more: next ›

FreeCAD

785 readers
5 users here now

Your own 3D parametric modeler.

www.freecadweb.org

FreeCAD is an open-source parametric 3D modeler made primarily to design real-life objects of any size. Parametric modeling allows you to easily modify your design by going back into your model history and changing its parameters.

founded 2 years ago
MODERATORS